import React from 'react';
import { Menu, Icon } from 'antd';
import '../leftTab.less';
const SubMenu = Menu.SubMenu;
const MenuItemGroup = Menu.ItemGroup;


const LeftTab = React.createClass({
    getInitialState() {
        return {
            current: 'userList',
        };
    },
    handleClick(e) {
        this.props.handlekey(e.key);
        this.setState({
            current: e.key,
        });
    },
    componentWillMount(){
        if ( window.location.hash ) {
            this.state.current = window.location.hash.substr(1);
        };
    },
    render() {
        return (
            <Menu onClick={this.handleClick}
                selectedKeys={[this.state.current]}
                mode="vertical"
                className="account-left"
                >
                <Menu.Item key="member">
                    管理员列表
                </Menu.Item>
                <Menu.Item key="permission">
                    权限控制
                </Menu.Item>
                <Menu.Item key="role">
                    角色控制
                </Menu.Item>
                <Menu.Item key="site" style={{display:'none'}}>
                    站点设置
                </Menu.Item>
            </Menu>
        );
    }
});

export default LeftTab;